#if !defined(AFX_COLORGRIDSERIES_H__9C1E5E74_6D87_4D00_9266_219FC7F0EE55__INCLUDED_)
#define AFX_COLORGRIDSERIES_H__9C1E5E74_6D87_4D00_9266_219FC7F0EE55__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CValueList;
class CBrush1;
class CPen1;
class CChartHiddenPen;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CColorGridSeries 

class CColorGridSeries : public COleDispatchDriver
{
public:
	CColorGridSeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CColorGridSeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CColorGridSeries(const CColorGridSeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long AddXYZ(double AX, double AY, double AZ, LPCTSTR AXLabel, unsigned long Value);
	double MaxZValue();
	double MinZValue();
	long GetTimesZOrder();
	void SetTimesZOrder(long nNewValue);
	CValueList GetZValues();
	double GetZValue(long Index);
	void SetZValue(long Index, double newValue);
	CBrush1 GetBrush();
	CPen1 GetPen();
	void AddArrayXYZ(const VARIANT& XArray, const VARIANT& YArray, const VARIANT& ZArray);
	void AddArrayGrid(long NumX, long NumZ, const VARIANT& XZArray);
	long CalcZPos(long ValueIndex);
	long AddPalette(double Value, unsigned long Color);
	unsigned long GetStartColor();
	void SetStartColor(unsigned long newValue);
	unsigned long GetEndColor();
	void SetEndColor(unsigned long newValue);
	long GetPaletteSteps();
	void SetPaletteSteps(long nNewValue);
	BOOL GetUsePalette();
	void SetUsePalette(BOOL bNewValue);
	BOOL GetUseColorRange();
	void SetUseColorRange(BOOL bNewValue);
	void ClearPalette();
	void CreateDefaultPalette(long NumSteps);
	unsigned long GetSurfacePaletteColor(double Y);
	unsigned long GetMidColor();
	void SetMidColor(unsigned long newValue);
	void CreateRangePalette();
	long GetPaletteStyle();
	void SetPaletteStyle(long nNewValue);
	BOOL GetUsePaletteMin();
	void SetUsePaletteMin(BOOL bNewValue);
	double GetPaletteMin();
	void SetPaletteMin(double newValue);
	double GetPaletteStep();
	void SetPaletteStep(double newValue);
	void InvertPalette();
	void AddCustomPalette(const VARIANT& colorArray);
	long GetLegendEvery();
	void SetLegendEvery(long nNewValue);
	long GetNumXValues();
	void SetNumXValues(long nNewValue);
	long GetNumZValues();
	void SetNumZValues(long nNewValue);
	double GetXZValue(long X, long Z);
	BOOL GetIrregularGrid();
	void SetIrregularGrid(BOOL bNewValue);
	void SmoothGrid3D();
	BOOL GetReuseGridIndex();
	void SetReuseGridIndex(BOOL bNewValue);
	void FillGridIndex(long StartIndex);
	void ReCreateValues();
	double MaxXValue();
	double MaxYValue();
	double MinYValue();
	BOOL GetCenteredPoints();
	void SetCenteredPoints(BOOL bNewValue);
	void SetBitmap(long nNewValue);
	BOOL GetSmoothBitmap();
	void SetSmoothBitmap(BOOL bNewValue);
	long GetTransparency();
	void SetTransparency(long nNewValue);
	long GetDrawPlane3D();
	void SetDrawPlane3D(long nNewValue);
	long GetDrawPosition();
	void SetDrawPosition(long nNewValue);
	CChartHiddenPen GetFrame();
	long GetXGridEvery();
	void SetXGridEvery(long nNewValue);
	long GetZGridEvery();
	void SetZGridEvery(long nNewValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_COLORGRIDSERIES_H__9C1E5E74_6D87_4D00_9266_219FC7F0EE55__INCLUDED_
