#if !defined(AFX_GAUGESERIES_H__3F0EC15D_A40E_44F6_99C9_FF7E80594997__INCLUDED_)
#define AFX_GAUGESERIES_H__3F0EC15D_A40E_44F6_99C9_FF7E80594997__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CTeePoint2D;
class CTeeShadow;
class CPointer;
class CGradient;
class CAxis;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CGaugeSeries 

class CGaugeSeries : public COleDispatchDriver
{
public:
	CGaugeSeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CGaugeSeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CGaugeSeries(const CGaugeSeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long GetXRadius();
	void SetXRadius(long nNewValue);
	long GetYRadius();
	void SetYRadius(long nNewValue);
	long GetXCenter();
	long GetYCenter();
	long GetCircleWidth();
	long GetCircleHeight();
	unsigned long GetCircleBackColor();
	void SetCircleBackColor(unsigned long newValue);
	BOOL GetCircled();
	void SetCircled(BOOL bNewValue);
	long GetRotationAngle();
	void SetRotationAngle(long nNewValue);
	CTeePoint2D AngleToPoint(double Angle, double AXRadius, double AYRadius);
	double PointToAngle(long XCoord, long YCoord);
	double PointToRadius(long XCoord, long YCoord);
	double GetCustomXRadius();
	void SetCustomXRadius(double newValue);
	double GetCustomYRadius();
	void SetCustomYRadius(double newValue);
	CTeeShadow GetShadow();
	CPointer GetCenter();
	CGradient GetCircleGradient();
	CPointer GetEndPoint();
	BOOL GetFullRepaint();
	void SetFullRepaint(BOOL bNewValue);
	double GetMaximum();
	void SetMaximum(double newValue);
	double GetMinimum();
	void SetMinimum(double newValue);
	long GetMinorTickDistance();
	void SetMinorTickDistance(long nNewValue);
	long GetHandDistance();
	void SetHandDistance(long nNewValue);
	long GetHandStyle();
	void SetHandStyle(long nNewValue);
	BOOL GetLabelsInside();
	void SetLabelsInside(BOOL bNewValue);
	double GetTotalAngle();
	void SetTotalAngle(double newValue);
	double GetValue();
	void SetValue(double newValue);
	CAxis GetAxis();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_GAUGESERIES_H__3F0EC15D_A40E_44F6_99C9_FF7E80594997__INCLUDED_
