#if !defined(AFX_KNOBGAUGE_H__4686B9F4_F466_46EF_84CB_8AB96DAF9854__INCLUDED_)
#define AFX_KNOBGAUGE_H__4686B9F4_F466_46EF_84CB_8AB96DAF9854__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CTeeShape;
class CTeeRect;
class CFramedBorder;
class CGaugePointerRange;
class CGaugeSeriesPointer;
class CPointer;
class CLinearGauge;
class CNumericGauge;
class CAxis;
class CCircularFrame;
class CGaugeHand;
class CTeePoint2D;
class CGradient;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CKnobGauge 

class CKnobGauge : public COleDispatchDriver
{
public:
	CKnobGauge() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CKnobGauge(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CKnobGauge(const CKnobGauge& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	CTeeShape GetFace();
	double GetValue();
	void SetValue(double newValue);
	CTeeRect GetCustomBounds();
	unsigned long GetPaletteColor(long Index);
	void SetCustomBounds(long ALeft, long ATop, long ARight, long ABottom);
	CFramedBorder GetFrame();
	CGaugePointerRange GetGreenLine();
	BOOL GetHorizontal();
	void SetHorizontal(BOOL bNewValue);
	double GetMaximum();
	void SetMaximum(double newValue);
	double GetMinimum();
	void SetMinimum(double newValue);
	long GetMinorTickDistance();
	void SetMinorTickDistance(long nNewValue);
	CGaugeSeriesPointer GetMinorTicks();
	CGaugePointerRange GetRedLine();
	CGaugeSeriesPointer GetTicks();
	CGaugeSeriesPointer GetCenter();
	BOOL GetCircled();
	void SetCircled(BOOL bNewValue);
	CPointer GetEndPoint();
	BOOL GetLabelsInside();
	void SetLabelsInside(BOOL bNewValue);
	BOOL GetRotateLabels();
	void SetRotateLabels(BOOL bNewValue);
	double GetRotationAngle();
	void SetRotationAngle(double newValue);
	double GetTotalAngle();
	void SetTotalAngle(double newValue);
	BOOL GetAutoPositionLinearGauge();
	void SetAutoPositionLinearGauge(BOOL bNewValue);
	BOOL GetAutoValueLinearGauge();
	void SetAutoValueLinearGauge(BOOL bNewValue);
	BOOL GetAutoPositionNumericGauge();
	void SetAutoPositionNumericGauge(BOOL bNewValue);
	BOOL GetAutoValueNumericGauge();
	void SetAutoValueNumericGauge(BOOL bNewValue);
	long GetDisplayTotalAngle();
	void SetDisplayTotalAngle(long nNewValue);
	long GetDisplayRotationAngle();
	void SetDisplayRotationAngle(long nNewValue);
	BOOL GetFillToSemiCircle();
	void SetFillToSemiCircle(BOOL bNewValue);
	long GetHandOffset();
	void SetHandOffset(long nNewValue);
	CLinearGauge GetLinearGauge();
	CNumericGauge GetNumericGauge();
	CAxis GetAxis();
	BOOL GetUseAxis();
	long GetCircleXCenter();
	long GetCircleYCenter();
	long GetXRadius();
	long GetYRadius();
	CCircularFrame GetCircularFrame();
	CGaugeHand GetHand();
	CTeePoint2D GetCenterPoint();
	CGradient GetHighLight();
	BOOL GetActiveCenter();
	void SetActiveCenter(BOOL bNewValue);
	BOOL GetAxisInside();
	void SetAxisInside(BOOL bNewValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_KNOBGAUGE_H__4686B9F4_F466_46EF_84CB_8AB96DAF9854__INCLUDED_
