#if !defined(AFX_TEEEDITOR_H__8CEAEAEB_9E33_49D2_8F11_89CF9D8DD3FD__INCLUDED_)
#define AFX_TEEEDITOR_H__8CEAEAEB_9E33_49D2_8F11_89CF9D8DD3FD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CTeeEditorShowPages;
class CTeeEditorOptions;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CTeeEditor 

class CTeeEditor : public CWnd
{
protected:
	DECLARE_DYNCREATE(CTeeEditor)
public:
	CLSID const& GetClsid()
	{
		static CLSID const clsid
			= { 0x8ec37834, 0x7116, 0x424b, { 0x97, 0x27, 0xb, 0xd3, 0xa, 0xb4, 0x51, 0x41 } };
		return clsid;
	}
	virtual BOOL Create(LPCTSTR lpszClassName,
		LPCTSTR lpszWindowName, DWORD dwStyle,
		const RECT& rect,
		CWnd* pParentWnd, UINT nID,
		CCreateContext* pContext = NULL)
	{ return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID); }

    BOOL Create(LPCTSTR lpszWindowName, DWORD dwStyle,
		const RECT& rect, CWnd* pParentWnd, UINT nID,
		CFile* pPersist = NULL, BOOL bStorage = FALSE,
		BSTR bstrLicKey = NULL)
	{ return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID,
		pPersist, bStorage, bstrLicKey); }

// Attribute
public:

// Operationen
public:
	void SetChart(LPDISPATCH newValue);
	void SetChartLink(long nNewValue);
	void AboutBox();
	CString GetEditorTitle();
	void SetEditorTitle(LPCTSTR lpszNewValue);
	long GetDefaultPage();
	void SetDefaultPage(long nNewValue);
	void ShowEditor();
	BOOL GetAutoRepaint();
	void SetAutoRepaint(BOOL bNewValue);
	CTeeEditorShowPages GetShowPages();
	long GetEditorLink();
	CTeeEditorOptions GetOptions();
	BOOL GetTreeView();
	void SetTreeView(BOOL bNewValue);
	BOOL GetHighLightTabs();
	void SetHighLightTabs(BOOL bNewValue);
	long GetPixelsPerInch();
	void SetPixelsPerInch(long nNewValue);
	BOOL GetRememberPosition();
	void SetRememberPosition(BOOL bNewValue);
	long GetGalleryHeight();
	void SetGalleryHeight(long nNewValue);
	long GetGalleryWidth();
	void SetGalleryWidth(long nNewValue);
	long GetHeight();
	void SetHeight(long nNewValue);
	long GetWidth();
	void SetWidth(long nNewValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TEEEDITOR_H__8CEAEAEB_9E33_49D2_8F11_89CF9D8DD3FD__INCLUDED_
