#if !defined(AFX_TEEFILTER_H__72FC2513_DA32_43C7_B3B6_65A25ABF533D__INCLUDED_)
#define AFX_TEEFILTER_H__72FC2513_DA32_43C7_B3B6_65A25ABF533D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CFilterRegion;
class CResizeFilter;
class CCropFilter;
class CGrayScaleFilter;
class CMosaicFilter;
class CColorFilter;
class CHueLumSatFilter;
class CRotateFilter;
class CMirrorFilter;
class CBlurFilter;
class CBrightnessFilter;
class CContrastFilter;
class CGammaCorrectionFilter;
class CAmountFilter;
class CSharpenFilter;
class CEmbossFilter;
class CSoftenFilter;
class CTileFilter;
class CBevelFilter;
class CZoomFilter;
class CLightFilter;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CTeeFilter 

class CTeeFilter : public COleDispatchDriver
{
public:
	CTeeFilter() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CTeeFilter(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CTeeFilter(const CTeeFilter& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	BOOL GetEnabled();
	void SetEnabled(BOOL bNewValue);
	CFilterRegion GetRegion();
	CResizeFilter GetAsResize();
	CCropFilter GetAsCrop();
	CGrayScaleFilter GetAsGrayScale();
	CMosaicFilter GetAsMosaic();
	CColorFilter GetAsColor();
	CHueLumSatFilter GetAsHueLumSat();
	CRotateFilter GetAsRotate();
	CMirrorFilter GetAsMirror();
	CBlurFilter GetAsBlur();
	CBrightnessFilter GetAsBrightness();
	CContrastFilter GetAsContrast();
	CGammaCorrectionFilter GetAsGammaCorrection();
	CAmountFilter GetAsAmount();
	CSharpenFilter GetAsSharpen();
	CEmbossFilter GetAsEmboss();
	CSoftenFilter GetAsSoften();
	CTileFilter GetAsTile();
	CBevelFilter GetAsBevel();
	CZoomFilter GetAsZoom();
	CLightFilter GetAsLight();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TEEFILTER_H__72FC2513_DA32_43C7_B3B6_65A25ABF533D__INCLUDED_
