#if !defined(AFX_TEEFUNCTION_H__BA39146B_5858_49E7_8C9F_68DD8FB9B087__INCLUDED_)
#define AFX_TEEFUNCTION_H__BA39146B_5858_49E7_8C9F_68DD8FB9B087__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CCurveFittingFunction;
class CExpAvgFunction;
class CMovingAvgFunction;
class CStdDeviationFunction;
class CRSIFunction;
class CBollingerFunction;
class CADXFunction;
class CMACDFunction;
class CRMSFunction;
class CAverageFunction;
class CSmoothingFunction;
class CCustomFunction;
class CCompressFunction;
class CCLVFunction;
class COBVFunction;
class CCCIFunction;
class CPVOFunction;
class CPerformanceFunction;
class CModeFunction;
class CMedianFunction;
class CDownSamplingFunction;
class CTrendFunction;
class CSubsetTeeFunction;
class CExpMovAvgFunction;
class CSARFunction;
class CHistogramFunction;
class CSkewnessFunction;
class CRVIFunction;
class CAlligatorFunction;
class CMoneyFlowFunction;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CTeeFunction 

class CTeeFunction : public COleDispatchDriver
{
public:
	CTeeFunction() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CTeeFunction(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CTeeFunction(const CTeeFunction& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	double GetPeriod();
	void SetPeriod(double newValue);
	CCurveFittingFunction GetAsCurveFit();
	CExpAvgFunction GetAsExpAvg();
	CMovingAvgFunction GetAsMovAvg();
	long GetPeriodStyle();
	void SetPeriodStyle(long nNewValue);
	long GetPeriodAlign();
	void SetPeriodAlign(long nNewValue);
	CStdDeviationFunction GetAsStdDeviation();
	void BeginUpdate();
	void EndUpdate();
	CRSIFunction GetAsRSI();
	CBollingerFunction GetAsBollinger();
	CADXFunction GetAsADX();
	CMACDFunction GetAsMACD();
	CRMSFunction GetAsRMS();
	CAverageFunction GetAsAverage();
	CSmoothingFunction GetAsSmoothing();
	CCustomFunction GetAsCustom();
	CCompressFunction GetAsCompress();
	CCLVFunction GetAsCLV();
	COBVFunction GetAsOBV();
	CCCIFunction GetAsCCI();
	CPVOFunction GetAsPVO();
	CPerformanceFunction GetAsPerformance();
	CModeFunction GetAsMode();
	CMedianFunction GetAsMedian();
	void Recalculate();
	CDownSamplingFunction GetAsDownSampling();
	CTrendFunction GetAsTrend();
	CSubsetTeeFunction GetAsSubset();
	CExpMovAvgFunction GetAsExpMovAvg();
	CSARFunction GetAsSAR();
	CHistogramFunction GetAsHistogram();
	CSkewnessFunction GetAsSkewness();
	CRVIFunction GetAsRVI();
	CAlligatorFunction GetAsAlligator();
	CMoneyFlowFunction GetAsMoneyFlow();
	long GetClassType();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TEEFUNCTION_H__BA39146B_5858_49E7_8C9F_68DD8FB9B087__INCLUDED_
