#if !defined(AFX_TERNARYSERIES_H__D92E9EA3_D097_4D0E_9BF1_050F4769223C__INCLUDED_)
#define AFX_TERNARYSERIES_H__D92E9EA3_D097_4D0E_9BF1_050F4769223C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CValueList;
class CBrush1;
class CPen1;
class CGradient;
class CTeePoint2D;
class CPointer;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CTernarySeries 

class CTernarySeries : public COleDispatchDriver
{
public:
	CTernarySeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CTernarySeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CTernarySeries(const CTernarySeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long AddXYZ(double AX, double AY, double AZ, LPCTSTR AXLabel, unsigned long Value);
	double MaxZValue();
	double MinZValue();
	long GetTimesZOrder();
	void SetTimesZOrder(long nNewValue);
	CValueList GetZValues();
	double GetZValue(long Index);
	void SetZValue(long Index, double newValue);
	CBrush1 GetBrush();
	CPen1 GetPen();
	void AddArrayXYZ(const VARIANT& XArray, const VARIANT& YArray, const VARIANT& ZArray);
	void AddArrayGrid(long NumX, long NumZ, const VARIANT& XZArray);
	long CalcZPos(long ValueIndex);
	long AddPalette(double Value, unsigned long Color);
	unsigned long GetStartColor();
	void SetStartColor(unsigned long newValue);
	unsigned long GetEndColor();
	void SetEndColor(unsigned long newValue);
	long GetPaletteSteps();
	void SetPaletteSteps(long nNewValue);
	BOOL GetUsePalette();
	void SetUsePalette(BOOL bNewValue);
	BOOL GetUseColorRange();
	void SetUseColorRange(BOOL bNewValue);
	void ClearPalette();
	void CreateDefaultPalette(long NumSteps);
	unsigned long GetSurfacePaletteColor(double Y);
	unsigned long GetMidColor();
	void SetMidColor(unsigned long newValue);
	void CreateRangePalette();
	long GetPaletteStyle();
	void SetPaletteStyle(long nNewValue);
	BOOL GetUsePaletteMin();
	void SetUsePaletteMin(BOOL bNewValue);
	double GetPaletteMin();
	void SetPaletteMin(double newValue);
	double GetPaletteStep();
	void SetPaletteStep(double newValue);
	void InvertPalette();
	void AddCustomPalette(const VARIANT& colorArray);
	long GetLegendEvery();
	void SetLegendEvery(long nNewValue);
	CValueList GetRadiusValues();
	CValueList GetWeightValues();
	CGradient GetGradient();
	CPen1 GetLinesPen();
	BOOL GetRotateLabels();
	void SetRotateLabels(BOOL bNewValue);
	long GetTernaryStyle();
	void SetTernaryStyle(long nNewValue);
	long GetTernaryLegendStyle();
	void SetTernaryLegendStyle(long nNewValue);
	long GetTernaryMarkStyle();
	void SetTernaryMarkStyle(long nNewValue);
	long GetAxisScale();
	void SetAxisScale(long nNewValue);
	CTeePoint2D GetVertexA();
	CTeePoint2D GetVertexB();
	CTeePoint2D GetVertexC();
	CPointer GetPointer();
	long AddBubbleXYZ(double AX, double AY, double AZ, double ARadius, LPCTSTR ALabel, unsigned long AColor);
	long AddBubbleXYZWeight(double AX, double AY, double AZ, double ARadius, double AWeight, LPCTSTR ALabel, unsigned long AColor);
	LPDISPATCH CalcPointFromValues(double a, double b, double C);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TERNARYSERIES_H__D92E9EA3_D097_4D0E_9BF1_050F4769223C__INCLUDED_
