#if !defined(AFX_VECTOR3DSERIES_H__45846274_B197_43B7_81C7_5412A3DA788A__INCLUDED_)
#define AFX_VECTOR3DSERIES_H__45846274_B197_43B7_81C7_5412A3DA788A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CValueList;
class CBrush1;
class CPen1;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CVector3DSeries 

class CVector3DSeries : public COleDispatchDriver
{
public:
	CVector3DSeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CVector3DSeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CVector3DSeries(const CVector3DSeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long AddXYZ(double AX, double AY, double AZ, LPCTSTR AXLabel, unsigned long Value);
	double MaxZValue();
	double MinZValue();
	long GetTimesZOrder();
	void SetTimesZOrder(long nNewValue);
	CValueList GetZValues();
	double GetZValue(long Index);
	void SetZValue(long Index, double newValue);
	CBrush1 GetBrush();
	CPen1 GetPen();
	void AddArrayXYZ(const VARIANT& XArray, const VARIANT& YArray, const VARIANT& ZArray);
	void AddArrayGrid(long NumX, long NumZ, const VARIANT& XZArray);
	long CalcZPos(long ValueIndex);
	long AddPalette(double Value, unsigned long Color);
	unsigned long GetStartColor();
	void SetStartColor(unsigned long newValue);
	unsigned long GetEndColor();
	void SetEndColor(unsigned long newValue);
	long GetPaletteSteps();
	void SetPaletteSteps(long nNewValue);
	BOOL GetUsePalette();
	void SetUsePalette(BOOL bNewValue);
	BOOL GetUseColorRange();
	void SetUseColorRange(BOOL bNewValue);
	void ClearPalette();
	void CreateDefaultPalette(long NumSteps);
	unsigned long GetSurfacePaletteColor(double Y);
	unsigned long GetMidColor();
	void SetMidColor(unsigned long newValue);
	void CreateRangePalette();
	long GetPaletteStyle();
	void SetPaletteStyle(long nNewValue);
	BOOL GetUsePaletteMin();
	void SetUsePaletteMin(BOOL bNewValue);
	double GetPaletteMin();
	void SetPaletteMin(double newValue);
	double GetPaletteStep();
	void SetPaletteStep(double newValue);
	void InvertPalette();
	void AddCustomPalette(const VARIANT& colorArray);
	long GetLegendEvery();
	void SetLegendEvery(long nNewValue);
	long AddVector(double X0, double Y0, double Z0, double X1, double Y1, double Z1, LPCTSTR ALabel, unsigned long AColor);
	long GetArrowHeight();
	void SetArrowHeight(long nNewValue);
	long GetArrowWidth();
	void SetArrowWidth(long nNewValue);
	CPen1 GetEndArrow();
	CValueList GetEndXValues();
	CValueList GetEndYValues();
	CValueList GetEndZValues();
	double MinXValueVector();
	double MaxXValueVector();
	double MinYValueVector();
	double MaxYValueVector();
	double MinZValueVector();
	double MaxZValueVector();
	CPen1 GetStartArrow();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_VECTOR3DSERIES_H__45846274_B197_43B7_81C7_5412A3DA788A__INCLUDED_
