#if !defined(AFX_WATERFALLSERIES_H__2BD86E5A_9D1B_4671_A0FE_979EDDA56774__INCLUDED_)
#define AFX_WATERFALLSERIES_H__2BD86E5A_9D1B_4671_A0FE_979EDDA56774__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CValueList;
class CBrush1;
class CPen1;
class CChartHiddenPen;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CWaterfallSeries 

class CWaterfallSeries : public COleDispatchDriver
{
public:
	CWaterfallSeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CWaterfallSeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CWaterfallSeries(const CWaterfallSeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long AddXYZ(double AX, double AY, double AZ, LPCTSTR AXLabel, unsigned long Value);
	double MaxZValue();
	double MinZValue();
	long GetTimesZOrder();
	void SetTimesZOrder(long nNewValue);
	CValueList GetZValues();
	double GetZValue(long Index);
	void SetZValue(long Index, double newValue);
	CBrush1 GetBrush();
	CPen1 GetPen();
	void AddArrayXYZ(const VARIANT& XArray, const VARIANT& YArray, const VARIANT& ZArray);
	void AddArrayGrid(long NumX, long NumZ, const VARIANT& XZArray);
	long CalcZPos(long ValueIndex);
	long AddPalette(double Value, unsigned long Color);
	unsigned long GetStartColor();
	void SetStartColor(unsigned long newValue);
	unsigned long GetEndColor();
	void SetEndColor(unsigned long newValue);
	long GetPaletteSteps();
	void SetPaletteSteps(long nNewValue);
	BOOL GetUsePalette();
	void SetUsePalette(BOOL bNewValue);
	BOOL GetUseColorRange();
	void SetUseColorRange(BOOL bNewValue);
	void ClearPalette();
	void CreateDefaultPalette(long NumSteps);
	unsigned long GetSurfacePaletteColor(double Y);
	unsigned long GetMidColor();
	void SetMidColor(unsigned long newValue);
	void CreateRangePalette();
	long GetPaletteStyle();
	void SetPaletteStyle(long nNewValue);
	BOOL GetUsePaletteMin();
	void SetUsePaletteMin(BOOL bNewValue);
	double GetPaletteMin();
	void SetPaletteMin(double newValue);
	double GetPaletteStep();
	void SetPaletteStep(double newValue);
	void InvertPalette();
	void AddCustomPalette(const VARIANT& colorArray);
	long GetLegendEvery();
	void SetLegendEvery(long nNewValue);
	long GetNumXValues();
	void SetNumXValues(long nNewValue);
	long GetNumZValues();
	void SetNumZValues(long nNewValue);
	double GetXZValue(long X, long Z);
	BOOL GetIrregularGrid();
	void SetIrregularGrid(BOOL bNewValue);
	void SmoothGrid3D();
	BOOL GetReuseGridIndex();
	void SetReuseGridIndex(BOOL bNewValue);
	void FillGridIndex(long StartIndex);
	void ReCreateValues();
	BOOL GetDotFrame();
	void SetDotFrame(BOOL bNewValue);
	BOOL GetWireFrame();
	void SetWireFrame(BOOL bNewValue);
	CBrush1 GetSideBrush();
	BOOL GetSmoothPalette();
	void SetSmoothPalette(BOOL bNewValue);
	long GetTransparency();
	void SetTransparency(long nNewValue);
	BOOL GetFastBrush();
	void SetFastBrush(BOOL bNewValue);
	BOOL GetHideCells();
	void SetHideCells(BOOL bNewValue);
	CChartHiddenPen GetSideLines();
	BOOL GetWaterfall();
	void SetWaterfall(BOOL bNewValue);
	CPen1 GetWaterLines();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_WATERFALLSERIES_H__2BD86E5A_9D1B_4671_A0FE_979EDDA56774__INCLUDED_
