#if !defined(AFX_WINDROSESERIES_H__1C3AF3A6_E477_469D_AEC2_F0F1B4AA5C8C__INCLUDED_)
#define AFX_WINDROSESERIES_H__1C3AF3A6_E477_469D_AEC2_F0F1B4AA5C8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CTeePoint2D;
class CTeeShadow;
class CPen1;
class CPointer;
class CValueList;
class CCircleLabels;
class CBrush1;
class CGradient;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CWindRoseSeries 

class CWindRoseSeries : public COleDispatchDriver
{
public:
	CWindRoseSeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CWindRoseSeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CWindRoseSeries(const CWindRoseSeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long GetXRadius();
	void SetXRadius(long nNewValue);
	long GetYRadius();
	void SetYRadius(long nNewValue);
	long GetXCenter();
	long GetYCenter();
	long GetCircleWidth();
	long GetCircleHeight();
	unsigned long GetCircleBackColor();
	void SetCircleBackColor(unsigned long newValue);
	BOOL GetCircled();
	void SetCircled(BOOL bNewValue);
	long GetRotationAngle();
	void SetRotationAngle(long nNewValue);
	CTeePoint2D AngleToPoint(double Angle, double AXRadius, double AYRadius);
	double PointToAngle(long XCoord, long YCoord);
	double PointToRadius(long XCoord, long YCoord);
	double GetCustomXRadius();
	void SetCustomXRadius(double newValue);
	double GetCustomYRadius();
	void SetCustomYRadius(double newValue);
	CTeeShadow GetShadow();
	double GetAngleIncrement();
	void SetAngleIncrement(double newValue);
	BOOL GetCloseCircle();
	void SetCloseCircle(BOOL bNewValue);
	CPen1 GetPen();
	CPointer GetPointer();
	double GetRadiusIncrement();
	void SetRadiusIncrement(double newValue);
	CValueList GetAngleValues();
	CValueList GetRadiusValues();
	void DrawRing(double Value, long Z);
	CPen1 GetCirclePen();
	CCircleLabels GetCircleLabels();
	CBrush1 GetBrush();
	void LoadBackImage(LPCTSTR FileName);
	void ClearBackImage();
	BOOL GetClockWiseLabels();
	void SetClockWiseLabels(BOOL bNewValue);
	BOOL GetCircleLabelsInside();
	void SetCircleLabelsInside(BOOL bNewValue);
	long GetTransparency();
	void SetTransparency(long nNewValue);
	CGradient GetCircleGradient();
	void DrawZone(double Min, double Max, long Z);
	long GetLabelsMargin();
	void SetLabelsMargin(long nNewValue);
	long GetTreatNulls();
	void SetTreatNulls(long nNewValue);
	BOOL GetMirrorAngles();
	void SetMirrorAngles(BOOL bNewValue);
	BOOL GetMirrorLabels();
	void SetMirrorLabels(BOOL bNewValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_WINDROSESERIES_H__1C3AF3A6_E477_469D_AEC2_F0F1B4AA5C8C__INCLUDED_
