#if !defined(AFX_LEGEND_H__C2C3C9C2_A342_42EA_8BC5_930DA173BC02__INCLUDED_)
#define AFX_LEGEND_H__C2C3C9C2_A342_42EA_8BC5_930DA173BC02__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CTeeFont;
class CGradient;
class CTeeRect;
class CTeeShadow;
class CPen1;
class CBackImage;
class CTeeEmboss;
class CBrush1;
class CLegendSymbol;
class CLegendTitle;
class CLegendItem;
class CLegendItems;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CLegend 

class CLegend : public COleDispatchDriver
{
public:
	CLegend() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CLegend(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CLegend(const CLegend& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	unsigned long GetColor();
	void SetColor(unsigned long newValue);
	CTeeFont GetFont();
	CGradient GetGradient();
	long GetShadowSize();
	void SetShadowSize(long nNewValue);
	unsigned long GetShadowColor();
	void SetShadowColor(unsigned long newValue);
	BOOL GetTransparent();
	void SetTransparent(BOOL bNewValue);
	long GetShapeStyle();
	void SetShapeStyle(long nNewValue);
	long GetTransparency();
	void SetTransparency(long nNewValue);
	CTeeRect GetShapeBounds();
	long GetBevel();
	void SetBevel(long nNewValue);
	long GetBevelWidth();
	void SetBevelWidth(long nNewValue);
	void ShowEditorShape(BOOL HideTexts, LPCTSTR Caption);
	CTeeShadow GetShadow();
	long GetRoundSize();
	void SetRoundSize(long nNewValue);
	CPen1 GetPen();
	CBackImage GetPicture();
	void Show();
	void Hide();
	long GetTextFormat();
	void SetTextFormat(long nNewValue);
	CTeeEmboss GetEmboss();
	long GetWidth();
	void SetWidth(long nNewValue);
	long GetHeight();
	void SetHeight(long nNewValue);
	CPen1 GetFrame();
	CBrush1 GetBrush();
	BOOL GetCustomPosition();
	void SetCustomPosition(BOOL bNewValue);
	long GetLeft();
	void SetLeft(long nNewValue);
	long GetTop();
	void SetTop(long nNewValue);
	long GetAlignment();
	void SetAlignment(long nNewValue);
	long GetColorWidth();
	void SetColorWidth(long nNewValue);
	CPen1 GetDividingLines();
	long GetFirstValue();
	void SetFirstValue(long nNewValue);
	long GetHorizMargin();
	void SetHorizMargin(long nNewValue);
	BOOL GetInverted();
	void SetInverted(BOOL bNewValue);
	long GetLegendStyle();
	void SetLegendStyle(long nNewValue);
	BOOL GetResizeChart();
	void SetResizeChart(BOOL bNewValue);
	long GetTextStyle();
	void SetTextStyle(long nNewValue);
	long GetTopPos();
	void SetTopPos(long nNewValue);
	long GetVertMargin();
	void SetVertMargin(long nNewValue);
	BOOL GetVisible();
	void SetVisible(BOOL bNewValue);
	CString Formatted(long SomeSeriesOrValueIndex);
	CString FormattedValue(long aSeries, long SomeValueIndex);
	long Clicked(long X, long Y);
	long GetMaxNumRows();
	void SetMaxNumRows(long nNewValue);
	void BackImageLoad(LPCTSTR FileName);
	void BackImageClear();
	VARIANT GetSeries();
	void SetSeries(const VARIANT& newValue);
	void DrawLegend();
	BOOL GetFontSeriesColor();
	void SetFontSeriesColor(BOOL bNewValue);
	BOOL GetCurrentPage();
	void SetCurrentPage(BOOL bNewValue);
	CLegendSymbol GetSymbol();
	BOOL GetCheckBoxes();
	void SetCheckBoxes(BOOL bNewValue);
	BOOL GetColumnWidthAuto();
	void SetColumnWidthAuto(BOOL bNewValue);
	long GetColumnWidths(long Index);
	void SetColumnWidths(long Index, long nNewValue);
	long GetVertspacing();
	void SetVertspacing(long nNewValue);
	BOOL GetVertical();
	void ShowEditorLegend();
	CLegendTitle GetTitle();
	long GetCheckBoxesStyle();
	void SetCheckBoxesStyle(long nNewValue);
	long GetLastValue();
	long GetPositionUnits();
	void SetPositionUnits(long nNewValue);
	long GetLeftPercent();
	void SetLeftPercent(long nNewValue);
	long GetTopPercent();
	void SetTopPercent(long nNewValue);
	CLegendItem GetItem(long Index);
	CLegendItems GetItems();
	long GetTextSymbolGap();
	void SetTextSymbolGap(long nNewValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_LEGEND_H__C2C3C9C2_A342_42EA_8BC5_930DA173BC02__INCLUDED_
