#if !defined(AFX_TAGCLOUDSERIES_H__48293EA4_E6F7_4897_A950_43CDDFD412F9__INCLUDED_)
#define AFX_TAGCLOUDSERIES_H__48293EA4_E6F7_4897_A950_43CDDFD412F9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CValueList;
class CBrush1;
class CPen1;
class CTeeFont;
class CGradient;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CTagCloudSeries 

class CTagCloudSeries : public COleDispatchDriver
{
public:
	CTagCloudSeries() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CTagCloudSeries(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CTagCloudSeries(const CTagCloudSeries& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	long AddXYZ(double AX, double AY, double AZ, LPCTSTR AXLabel, unsigned long Value);
	double MaxZValue();
	double MinZValue();
	long GetTimesZOrder();
	void SetTimesZOrder(long nNewValue);
	CValueList GetZValues();
	double GetZValue(long Index);
	void SetZValue(long Index, double newValue);
	CBrush1 GetBrush();
	CPen1 GetPen();
	void AddArrayXYZ(const VARIANT& XArray, const VARIANT& YArray, const VARIANT& ZArray);
	void AddArrayGrid(long NumX, long NumZ, const VARIANT& XZArray);
	long CalcZPos(long ValueIndex);
	long AddPalette(double Value, unsigned long Color);
	unsigned long GetStartColor();
	void SetStartColor(unsigned long newValue);
	unsigned long GetEndColor();
	void SetEndColor(unsigned long newValue);
	long GetPaletteSteps();
	void SetPaletteSteps(long nNewValue);
	BOOL GetUsePalette();
	void SetUsePalette(BOOL bNewValue);
	BOOL GetUseColorRange();
	void SetUseColorRange(BOOL bNewValue);
	void ClearPalette();
	void CreateDefaultPalette(long NumSteps);
	unsigned long GetSurfacePaletteColor(double Y);
	unsigned long GetMidColor();
	void SetMidColor(unsigned long newValue);
	void CreateRangePalette();
	long GetPaletteStyle();
	void SetPaletteStyle(long nNewValue);
	BOOL GetUsePaletteMin();
	void SetUsePaletteMin(BOOL bNewValue);
	double GetPaletteMin();
	void SetPaletteMin(double newValue);
	double GetPaletteStep();
	void SetPaletteStep(double newValue);
	void InvertPalette();
	void AddCustomPalette(const VARIANT& colorArray);
	long GetLegendEvery();
	void SetLegendEvery(long nNewValue);
	long AddTag(LPCTSTR Text, double Value);
	long GetTagFontSize(long ValueIndex);
	void Sort(long SortBy, long Order);
	CString GetFilter();
	void SetFilter(LPCTSTR lpszNewValue);
	CTeeFont GetFont();
	CGradient GetGradient();
	long GetTagSeparation();
	void SetTagSeparation(long nNewValue);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TAGCLOUDSERIES_H__48293EA4_E6F7_4897_A950_43CDDFD412F9__INCLUDED_
