#if !defined(AFX_TOOLS_H__FA5B69B7_E737_493F_B86A_3590142162D6__INCLUDED_)
#define AFX_TOOLS_H__FA5B69B7_E737_493F_B86A_3590142162D6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Mit Microsoft Visual C++ automatisch erstellte IDispatch-Kapselungsklasse(n). 

// HINWEIS: Die Inhalte dieser Datei nicht ndern. Wenn Microsoft Visual C++
// diese Klasse erneuert, werden Ihre nderungen berschrieben.


// Dispatch-Schnittstellen, auf die von dieser Schnittstelle verwiesen wird
class CCursorTool;
class CDragMarksTool;
class CAxisArrowTool;
class CDrawLineTool;
class CNearestTool;
class CColorBandTool;
class CColorLineTool;
class CRotateTool;
class CMarksTipTool;
class CChartImageTool;
class CAnnotationTool;
class CPageNumTool;
class CGridTransposeTool;
class CExtraLegendTool;
class CSeriesAnimationTool;
class CGanttTool;
class CGridBandTool;
class CPieTool;
class CDragPointTool;
class CLegendScrollBarTool;
class CLightTool;
class CSurfaceNearestTool;
class CAxisScrollTool;
class CSeriesBandTool;
class CSelectorTool;
class CRectangleTool;
class CDataTableTool;
class CVideoTool;
class CVideoPlayerTool;
class CTransposeSeriesTool;
class CSeriesRegionTool;
class CAntiAliasTool;
class CClipSeriesTool;
class CFaderTool;
class CFrameTool;
class CMagnifyTool;
class CLegendPaletteTool;
class CBannerTool;
class CText3DTool;
class CSeriesStatsTool;
class CLinkTool;
class CFibonacciTool;
class CFullScreenTool;
class CAxisBreaksTool;
class CSubChartTool;
class CClusteringTool;

/////////////////////////////////////////////////////////////////////////////
// Wrapper-Klasse CTools 

class CTools : public COleDispatchDriver
{
public:
	CTools() {}		// Ruft den Standardkonstruktor fr COleDispatchDriver auf
	CTools(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CTools(const CTools& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attribute
public:

// Operationen
public:
	CCursorTool GetAsTeeCursor();
	CDragMarksTool GetAsDragMarks();
	CAxisArrowTool GetAsAxisArrow();
	CDrawLineTool GetAsDrawLine();
	CNearestTool GetAsNearest();
	CColorBandTool GetAsColorband();
	CColorLineTool GetAsColorLine();
	CRotateTool GetAsRotate();
	CMarksTipTool GetAsMarksTip();
	CChartImageTool GetAsChartImage();
	CAnnotationTool GetAsAnnotation();
	CPageNumTool GetAsPageNum();
	BOOL GetActive();
	void SetActive(BOOL bNewValue);
	CString GetDescription();
	long GetToolType();
	void ShowEditor();
	CGridTransposeTool GetAsGridTranspose();
	CExtraLegendTool GetAsExtraLegend();
	CSeriesAnimationTool GetAsSeriesAnimation();
	CGanttTool GetAsGantt();
	CGridBandTool GetAsGridBand();
	CPieTool GetAsPie();
	CDragPointTool GetAsDragPoint();
	CLegendScrollBarTool GetAsLegendScrollBar();
	CLightTool GetAsLight();
	CSurfaceNearestTool GetAsSurfaceNearest();
	CAxisScrollTool GetAsAxisScroll();
	CSeriesBandTool GetAsSeriesBand();
	CSelectorTool GetAsSelector();
	CRectangleTool GetAsRectangle();
	BOOL GetShowInEditor();
	void SetShowInEditor(BOOL bNewValue);
	CDataTableTool GetAsDataTable();
	CVideoTool GetAsVideo();
	CVideoPlayerTool GetAsVideoPlayer();
	CTransposeSeriesTool GetAsTransposeSeries();
	CSeriesRegionTool GetAsSeriesRegion();
	CAntiAliasTool GetAsAntiAlias();
	CClipSeriesTool GetAsClipSeries();
	CFaderTool GetAsFader();
	CFrameTool GetAsFrame();
	CMagnifyTool GetAsMagnify();
	CLegendPaletteTool GetAsLegendPalette();
	CBannerTool GetAsBanner();
	CText3DTool GetAsText3D();
	CSeriesStatsTool GetAsSeriesStats();
	CLinkTool GetAsLink();
	CFibonacciTool GetAsFibonacci();
	CFullScreenTool GetAsFullScreen();
	CAxisBreaksTool GetAsAxisBreaks();
	CSubChartTool GetAsSubChart();
	CClusteringTool GetAsClustering();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TOOLS_H__FA5B69B7_E737_493F_B86A_3590142162D6__INCLUDED_
